Vla-put-objectsortbyredraws

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-objectsortbyredraws vla-object bool )


機能
再描画順序による図面オブジェクトのソートを切り替える。


引数
  • vla-object … DatabasePreferences のVLAオブジェクト
  • bool … ブール型
  •  :vlax-True: 再描画順序によるソートを有効にする。
  •  :vlax-False: 再描画順序によるソートを無効にする。


戻り値
nil


  • MEMO:このプロパティの初期値は False。
  • CAD の初期設定では、印刷と PostScript 出力のみソート可能。ソート オプションを追加すると再作図と再描画に要する時間が長くなる。
  • 注 : このプロパティの値は、システム変数 SORTENTS に格納される。


サンプル
(vl-load-com)
(defun c:Example_ObjectSortByRedraws()
    ;; 図面オブジェクトを再描画順の並べ替えを制御する優先順位の値を変更するサンプル。
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))  
    (setq preferences (vla-get-Preferences doc))
    
    ;; 既定値を読み込み
    (setq originalValue (vla-get-ObjectSortByRedraws preferences))
    (alert (strcat "現在の ObjectSortByRedraws 値は : " (if (= originalValue :vlax-true) "True"  "False")))

    ;; 変更
    (vla-put-ObjectSortByRedraws preferences (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-ObjectSortByRedraws preferences))
    (alert (strcat "新しい  ObjectSortByRedraws 値は : " (if (= newValue :vlax-true) "True"  "False")))

    ;; 戻す
    (vla-put-ObjectSortByRedraws preferences originalValue)
    (alert (strcat "ObjectSortByRedraws 値を次にもどしました : " (if (= originalValue :vlax-true) "True"  "False")))
)

関連事項